#include "delay.h"

#include "platform/hal.h"
#include "st7789.h"

hal::Gpio lcd_reset(26);
hal::Gpio lcd_data_command(18);
hal::Gpio lcd_backlight(23);
hal::Gpio lcd_chip_select(25);
hal::Spi lcd_spi(0, 2, 3, 4, 25);

St7789 lcd(lcd_spi, lcd_reset, lcd_data_command, lcd_backlight, lcd_chip_select);

int main(void)
{
    while(true) {
        delay_ms(200);
    }
}
